DH_INSTALLTMPFILES(1)

NAME
dh_installtmpfiles - install tmpfiles.d configuration files

SYNOPSIS
dh_installtmpfiles [debhelper options][--name=name]

DESCRIPTION
dh_installtmpfiles is a debhelper program that is responsible for installing package maintainer supplied tmpfiles.d configuration files (e.g. for systemd-tmpfiles).

It also finds the tmpfiles.d configuration files installed by a package and generates postinst code blocks for activating the tmpfiles.d configuration when the package is installed. These snippets are added to the maintainer scripts by dh_installdeb(1).

In compat 14+, tmpfiles.d files are copied into the postrm script, and they are used with systemd-tmpfiles --remove after the package is removed and --purge when the package is purged. This allows one to use the tmpfiles.d mechanism to clean up files that are no longer needed after a package has been removed/purged.

OPTIONS

--name=name
    This option controls both a prefix used for looking up maintainer provided tmpfiles.d configuration files (those mentioned in the "FILES" section) and also the base name used for the installed version of the file.

FILES

debian/package.tmpfiles
    If this exists, it is installed into usr/lib/tmpfiles.d/ in the package build directory. Note that the "tmpfiles.d" mechanism is currently only used by systemd.

debian/package.tmpfile
    Deprecated name for debian/package.tmpfiles.

NOTES
This command is not idempotent. dh_prep(1) should be called between invocations of this command (with the same arguments). Otherwise, it may cause multiple instances of the same text to be added to maintainer scripts.

SEE ALSO
debhelper(7)